public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sys-fs/erofs-utils/
Date: Wed,  7 Jul 2021 14:02:10 +0000 (UTC)	[thread overview]
Message-ID: <1625629570.e3d86520ed0ba384ffaa58455d1fa328620133fb.flow@gentoo> (raw)

commit:     e3d86520ed0ba384ffaa58455d1fa328620133fb
Author:     Denis Reva <denis7774 <AT> gmail <DOT> com>
AuthorDate: Wed Jul  7 03:46:10 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 03:46:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e3d86520

sys-fs/erofs-utils: updated to 1.3

See https://bugs.gentoo.org/701284

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Denis Reva <denis7774 <AT> gmail.com>

 sys-fs/erofs-utils/Manifest               |  1 +
 sys-fs/erofs-utils/erofs-utils-1.3.ebuild | 42 +++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/sys-fs/erofs-utils/Manifest b/sys-fs/erofs-utils/Manifest
index 1ce3db33d..a6e67c5d4 100644
--- a/sys-fs/erofs-utils/Manifest
+++ b/sys-fs/erofs-utils/Manifest
@@ -1 +1,2 @@
 DIST erofs-utils-1.2.1.tar.gz 61218 BLAKE2B 787d3c549020bf44d750ef1af8878c452683579ff545ed0a6b03a24fb5e5f559dad8dd1d00664598b7d42ec6f9d69800b087d0dcb0de147b51696b416903d712 SHA512 1b0fae6f1d7a5ee01f65e71e389c474d596be8800087beb063bfbda471c54d76f9d3f08da645cecb613b637044ff3f6b19d3c8647425261cec1646c87ad57802
+DIST erofs-utils-1.3.tar.gz 66135 BLAKE2B 1051cf387d059d71b91e0a940c86b819593902606ae4665a7801e9597dd72987385bee997d2d63b186c493557ee22118aff23161e48e25ee8f4859f9f6e46f14 SHA512 6ddd8402dab80b0375b012ed51ff02b40cbeca9a4a1ba250b14ec6aeb97317ab575e315e9d4dc77ed1d7826c202396d9c0775917106ecbd7b4048168aca0fa6c

diff --git a/sys-fs/erofs-utils/erofs-utils-1.3.ebuild b/sys-fs/erofs-utils/erofs-utils-1.3.ebuild
new file mode 100644
index 000000000..ee37d4a49
--- /dev/null
+++ b/sys-fs/erofs-utils/erofs-utils-1.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Userspace tools for EROFS images"
+HOMEPAGE="https://git.kernel.org/pub/scm/linux/kernel/git/xiang/erofs-utils.git"
+SRC_URI="${HOMEPAGE}/snapshot/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="fuse lz4 selinux +uuid"
+
+RDEPEND="
+	fuse? ( sys-fs/fuse:0 )
+	lz4? ( >=app-arch/lz4-1.9 )
+	selinux? ( sys-libs/libselinux )
+	uuid? ( sys-apps/util-linux )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable fuse) \
+		$(use_enable lz4) \
+		$(use_with selinux) \
+		$(use_with uuid)
+}
+
+src_install() {
+	default
+	use fuse || rm "${ED}/usr/share/man/man1/erofsfuse.1" || die
+}


             reply	other threads:[~2021-07-07 14:02 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-07 14:02 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-07-19 10:06 [gentoo-commits] repo/proj/guru:master commit in: sys-fs/erofs-utils/ Andrew Ammerlaan
2021-06-13  8:49 Haelwenn Monnier
2021-04-29  8:23 Michał Górny
2021-04-25 20:28 Andrew Ammerlaan
2021-03-28 11:43 Andrew Ammerlaan
2021-01-10 11:31 Andrew Ammerlaan
2020-12-06 10:49 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1625629570.e3d86520ed0ba384ffaa58455d1fa328620133fb.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox